#include <ST7032.h>

#if defined(ARDUINO_ARCH_ESP8266)
// ESP8266-BLADE-CLCD
#define SW1 0
#define SW2 2
#define SW3 16
#define SOUNDER 15
#else
// CLCD-STACK
#define SW1 3
#define SW2 4
#define SW3 5
#define SOUNDER 8
#endif

ST7032 lcd;

void setup() {
  pinMode(SW1, INPUT_PULLUP) ;
  pinMode(SW2, INPUT_PULLUP) ;
  pinMode(SW3, INPUT_PULLUP) ;

  lcd.begin(16, 2);
}

void loop() {
  int hz = 0 ;

  if (digitalRead(SW1) == LOW)
    hz += 200 ;
  if (digitalRead(SW2) == LOW)
    hz += 400 ;
  if (digitalRead(SW3) == LOW)
    hz += 800 ;

  lcd.clear() ;
  lcd.print("FREQ: ") ;
  lcd.print(hz) ;

#if defined(ARDUINO_ARCH_ESP8266)
  if (hz != 0) {
    analogWrite(SOUNDER, 500) ;
    analogWriteFreq(hz) ;
  } else {
    analogWrite(SOUNDER, 0) ;
  }
#else
  if (hz != 0)
    tone(SOUNDER, hz) ;
  else
    noTone(SOUNDER) ;
#endif

  delay(100) ;
}