/*
ST7032 Library - TextDirection

This example code is in the public domain.

http://www.arduino.cc/en/Tutorial/LiquidCrystalTextDirection

 http://www.microfan.jp/stack/clcd-stack
*/

// include the library code:
#include <ST7032.h>

#define	JAPANESE

// initialize the library
ST7032 lcd;
// ST7032 lcd(PWR3V3) ;

#ifdef JAPANESE
#define	CHa	'\261'
#define	CHm	'\300'
#define	CHs	'\317'
#define	CHz	'\335'
#else
#define	CHa	'a'
#define	CHm	'm'
#define	CHs	's'
#define	CHz	'z'
#endif

int thisChar = CHa ;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // turn on the cursor:
  lcd.cursor();
}

void loop() {
  // reverse directions at CHm:
  if (thisChar == CHm) {
    // go right for the next letter
    lcd.rightToLeft();
  }
  // reverse again at CHs:
  if (thisChar == CHs) {
    // go left for the next letter
    lcd.leftToRight();
  }
  // reset at CHz:
  if (thisChar > CHz) {
    // go to (0,0):
    lcd.home();
    // start again at 0
    thisChar = CHa;
  }

  // print the character
  lcd.write(thisChar);
  // wait half second:
  delay(500);
  // increment the letter:
  thisChar++;
}
