/*
  ST7032 Library - setCursor

 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystalSetCursor

 http://www.microfan.jp/stack/clcd-stack
*/

// include the library code:
#include <ST7032.h>

#define	JAPANESE

// initialize the library
ST7032 lcd;
// ST7032 lcd(PWR3V3) ;

// these constants won't change.  But you can change the size of
// your LCD using them:
const int numRows = 2;
const int numCols = 16;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(numCols, numRows);
}

void loop() {
  // loop from ASCII 'a' to ASCII 'z':
#ifdef JAPANESE
  for (int thisLetter = '\261'; thisLetter <= '\335'; thisLetter++) {
#else
  for (int thisLetter = 'a'; thisLetter <= 'z'; thisLetter++) {
#endif
    // loop over the columns:
    for (int  thisRow = 0; thisRow < numRows; thisRow++) {
      // loop over the rows:
      for (int thisCol = 0; thisCol < numCols; thisCol++) {
        // set the cursor position:
        lcd.setCursor(thisCol, thisRow);
        // print the letter:
        lcd.write(thisLetter);
        delay(200);
      }
    }
  }
}
